server.port=8080

spring.application.name=gateway

spring.cloud.gateway.routes[0].id=path_suser
spring.cloud.gateway.routes[0].uri=lb://suser
spring.cloud.gateway.routes[0].predicates[0]=Path=/suser/**
spring.cloud.gateway.routes[0].filters[0]=RewritePath=/suser/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[0].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[0].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[0].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[1].id=path_sclass
spring.cloud.gateway.routes[1].uri=lb://sclass
spring.cloud.gateway.routes[1].predicates[0]=Path=/sclass/**
spring.cloud.gateway.routes[1].filters[0]=RewritePath=/sclass/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[1].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[1].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[1].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[2].id=path_slive
spring.cloud.gateway.routes[2].uri=lb://slive
spring.cloud.gateway.routes[2].predicates[0]=Path=/slive/**
spring.cloud.gateway.routes[2].filters[0]=RewritePath=/slive/(?<segment>.*),/$\{segment}
spring.cloud.gateway.routes[2].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[2].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[2].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[3].id=path_sstudy
spring.cloud.gateway.routes[3].uri=lb://sstudy
spring.cloud.gateway.routes[3].predicates[0]=Path=/sstudy/**
spring.cloud.gateway.routes[3].filters[0]=RewritePath=/sstudy/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[3].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[3].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[3].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[4].id=path_sapi
spring.cloud.gateway.routes[4].uri=lb://sapi
spring.cloud.gateway.routes[4].predicates[0]=Path=/sapi/**
spring.cloud.gateway.routes[4].filters[0]=RewritePath=/sapi/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[4].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[4].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[4].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[5].id=path_sexam
spring.cloud.gateway.routes[5].uri=lb://sexam
spring.cloud.gateway.routes[5].predicates[0]=Path=/sexam/**
spring.cloud.gateway.routes[5].filters[0]=RewritePath=/sexam/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[5].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[5].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[5].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[6].id=path_slog
spring.cloud.gateway.routes[6].uri=lb://slog
spring.cloud.gateway.routes[6].predicates[0]=Path=/slog/**
spring.cloud.gateway.routes[6].filters[0]=RewritePath=/slog/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[6].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[6].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[6].filters[1].args.fallbackUri=forward:/fallback

eureka.client.service-url.defaultZone=http://xhschool:Xhkjedud07@localhost:8081/eureka/
eureka.client.register-with-eureka=true
eureka.client.fetch-registry=true
#设置eureka输出日志级别
logging.level.com.netflix=error

#请求超时时间30s
rq.overtime = 30000

#接口是否加密
Xh-St = false

#redis配置
spring.redis.host=cachetest.xhkjedu.com
spring.redis.port=6379
spring.redis.password=xhkjedud07
#超时时间：单位ms
spring.redis.timeout=5000
#设置过期时间10min
spring.redis.jedis.pool.max-idle=300
#最大等待时间：单位ms //高版本改为maxWaitMillis
spring.redis.jedis.pool.max-wait=1000000
spring.redis.jedis.pool.max-active=60000
#缓存访问数据有效时长60*60*24*7
redisdatatime=604800

#白名单接口
whitelistAPI=user/login,/class_student/stu_class,/user/detail,/status/info,/user/qrg,/user/check_user\
  ,/user/update_code,/user/update_pwd_byCode,/user/list_usecret,/user/check_usecret,/user/reset_pwd\
  ,/get_new,/stype/list,/cloud/detail\
  ,/pdf\
  ,/section/get_zjr,/csw/add

#版本号
versionname=Test_v3.13.0